Submit Prior Auth Feedback
curl --request POST \
--url https://api.develophealth.ai/prior-authorization/{id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "<string>",
"message": "<string>"
}
'import requests
url = "https://api.develophealth.ai/prior-authorization/{id}/feedback"
payload = {
"category": "<string>",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: '<string>', message: '<string>'})
};
fetch('https://api.develophealth.ai/prior-authorization/{id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.develophealth.ai/prior-authorization/{id}/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'category' => '<string>',
'message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.develophealth.ai/prior-authorization/{id}/feedback"
payload := strings.NewReader("{\n \"category\": \"<string>\",\n \"message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.develophealth.ai/prior-authorization/{id}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"category\": \"<string>\",\n \"message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.develophealth.ai/prior-authorization/{id}/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"category\": \"<string>\",\n \"message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success"
}{
"status": "error",
"error": {
"title": "API Access Not Enabled",
"description": "Programmatic API access is not enabled for this organization.",
"code": "api_access_not_enabled"
}
}{
"detail": "Prior Authorization Request does not exist."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": "error",
"error": {
"title": "Rate Limit Exceeded",
"description": "The request exceeds the organization's configured API rate limit. Retry after the duration specified by Retry-After.",
"code": "rate_limit_exceeded"
}
}{
"status": "error",
"error": {
"title": "Service Unavailable",
"description": "The service is temporarily unavailable. Retry the request shortly.",
"code": "service_unavailable"
}
}Prior authorization
Submit prior authorization feedback
Submit feedback related to a prior authorization request.
The feedback is used to improve the product and is surfaced in analytics dashboards.
POST
/
prior-authorization
/
{id}
/
feedback
Submit Prior Auth Feedback
curl --request POST \
--url https://api.develophealth.ai/prior-authorization/{id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "<string>",
"message": "<string>"
}
'import requests
url = "https://api.develophealth.ai/prior-authorization/{id}/feedback"
payload = {
"category": "<string>",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: '<string>', message: '<string>'})
};
fetch('https://api.develophealth.ai/prior-authorization/{id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.develophealth.ai/prior-authorization/{id}/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'category' => '<string>',
'message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.develophealth.ai/prior-authorization/{id}/feedback"
payload := strings.NewReader("{\n \"category\": \"<string>\",\n \"message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.develophealth.ai/prior-authorization/{id}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"category\": \"<string>\",\n \"message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.develophealth.ai/prior-authorization/{id}/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"category\": \"<string>\",\n \"message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success"
}{
"status": "error",
"error": {
"title": "API Access Not Enabled",
"description": "Programmatic API access is not enabled for this organization.",
"code": "api_access_not_enabled"
}
}{
"detail": "Prior Authorization Request does not exist."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": "error",
"error": {
"title": "Rate Limit Exceeded",
"description": "The request exceeds the organization's configured API rate limit. Retry after the duration specified by Retry-After.",
"code": "rate_limit_exceeded"
}
}{
"status": "error",
"error": {
"title": "Service Unavailable",
"description": "The service is temporarily unavailable. Retry the request shortly.",
"code": "service_unavailable"
}
}Overview
Submit feedback for an existing prior authorization request. Use this endpoint to attach DevelopHealth-facing notes/feedback to PA requests during or after their processing. Feedback passed to this endpoint will be surfaced in analytics dashboards, and can be used in one-off analytics queries/reports.API errors
This endpoint returns404 when the PA does not exist or is not visible to the
authenticated organization. See Response handling
for common authentication and validation errors.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json